# Get an affiliate blocked of the affiliate

| HTTP method | Endpoint                                         |
| ----------- | ------------------------------------------------ |
| **GET**     | **/v1/affiliate\_blocks/{affiliate\_block\_id}** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter            | Description                  |
| -------------------- | ---------------------------- |
| affiliate\_block\_id | The unique id for the block. |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field          | Type    | Description                                                                                                                                                                                                          |
| -------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id             | integer | The unique id for the block.                                                                                                                                                                                         |
| affiliate\_id  | integer | The unique id for the affiliate.                                                                                                                                                                                     |
| offer\_id      | integer | The unique id for the offer.                                                                                                                                                                                         |
| type           | integer | The type for this affiliate blocked.   Allow type： 1 Source ID  2 Aff Sub1  3 Aff Sub2  4 Aff Sub3   5 Aff Sub4   6 Aff Sub5                                                                                         |
| value          | string  | The value for the affiliate blocked.                                                                                                                                                                                 |
| create\_time   | integer | Create time.                                                                                                                                                                                                         |
| update\_time   | integer | Update time.                                                                                                                                                                                                         |
| advertiser\_id | integer | The unique id for the advertiser.                                                                                                                                                                                    |
| category       | string  | The type for this affiliate blocked. Allow type: 1 Offer 2 Advertiser.                                                                                                                                               |
| list\_type     | string  | Allow Values: 1 Blacklist; 2 Whitelist. **Note:if list\_type=1, all the clicks and conversions with this value will be rejected. If list\_type=2, all the clicks and conversions won't success without this value.** |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/affiliate_blocks/1>

**Request GET** <http://{networkname}.api.offerslook.com/v1/affiliate_blocks/1>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
    "code": 0,
    "message": "Success",
    "data": {
        "affiliate_block": {
            "id": 1,
            "affiliate_id": 4979,
            "offer_id": 0,
            "type": 1,
            "value": "marry",
            "create_time": 1477637797,
            "update_time": 0,
            "advertiser_id": 0,
            "category": 1,
            "list_type": 1

        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliates/sub-resources/affiliate_blocked/get_a_affiliate_blocked_of_the_affiliate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
